Trigger compliance check
curl --request POST \
--url https://api.app.hrizn.io/v1/public/content/{id}/compliance \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content/{id}/compliance"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/{id}/compliance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"article_id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
"status": "checking",
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
Trigger compliance check
Run an OEM compliance check on content
POST
/
content
/
{id}
/
compliance
Trigger compliance check
Queues a compliance check against the site’s OEM compliance rules. Results are attached to the content’s components when finished.
Scope required:
compliance:write
Path parameters
UUID of the content to check.
{
"data": {
"article_id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
"status": "checking",
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
Compliance checks are asynchronous and typically complete within a few minutes. Configure webhooks to receive real-time
compliance.completed notifications instead of polling.Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Content ID
Last modified on February 28, 2026
⌘I
